#pragma once

#include "sprite.h"
#include "SFML/Graphics/RectangleShape.hpp"

class ClassicSprite : public Sprite, public sf::Drawable
{
public:
    ClassicSprite(const sf::RectangleShape& shape);
    virtual void draw(sf::RenderTarget& target, sf::RenderStates states) const override;

    void setCoordinates(float x, float y, float trail_x, float trail_y) noexcept;
    void setTrailCoordinates(float trail_x, float trail_y) noexcept;

private:
    sf::RectangleShape _shape;
    sf::RectangleShape _trail;
};
